Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132404 - Parser failed on code taken from boost
Parser failed on code taken from boost
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
6.x
All All
: P2 (vote)
: TBD
Assigned To: nnnnnk
issues@cnd
61fixes1-fixed
:
Depends on:
Blocks: 131419
  Show dependency treegraph
 
Reported: 2008-04-09 14:09 UTC by Alexander Simon
Modified: 2008-06-04 08:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2008-04-09 14:09:37 UTC
Parser failed on code (taken from boost):
-------------------------------
    template <>
    struct property_value_dispatch<0> {
      template <class PropertyList, class T, class Tag>
      inline static typename property_value_end<PropertyList>::template result<T>::type&
      get_value(PropertyList& p, T* t, Tag tag) {
        return property_value_end<PropertyList>::get_value(p, t, tag);
      }
      template <class PropertyList, class T, class Tag>
      inline static const typename property_value_end<PropertyList>::template result<T>::type&
      const_get_value(const PropertyList& p, T* t, Tag tag) {
        return property_value_end<PropertyList>::const_get_value(p, t, tag);
      }
    };
-------------------------------
Parser messages:
-------------------------------
newfile.cpp:4:7: unexpected token: inline
newfile.cpp:4:14: unexpected token: static
newfile.cpp:4:21: unexpected token: typename
newfile.cpp:4:30: unexpected token: property_value_end
newfile.cpp:4:49: unexpected token: PropertyList
newfile.cpp:4:62: unexpected token: ::
newfile.cpp:4:73: expecting LESSTHAN, found 'result'
newfile.cpp:9:7: unexpected token: inline
newfile.cpp:9:14: unexpected token: static
newfile.cpp:9:21: unexpected token: const
newfile.cpp:9:27: unexpected token: typename
newfile.cpp:9:36: unexpected token: property_value_end
newfile.cpp:9:55: unexpected token: PropertyList
newfile.cpp:9:68: unexpected token: ::
newfile.cpp:9:79: expecting LESSTHAN, found 'result'
-------------------------------
User impact:
- assert on parsing
- no model for file
Comment 1 Alexander Simon 2008-04-09 14:17:32 UTC
Any code declaration in the file after such construction do not in code model.
So I think that it real P2 bug.
Comment 3 Alexander Pepin 2008-04-23 15:30:38 UTC
verified in dev build 200804230004
Comment 4 rbalada 2008-04-29 15:16:48 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/1bad09fe2466
into release61_fixes repository as http://hg.netbeans.org/release61_fixes/rev/35fb6e1c9c15

changeset:   77505:35fb6e1c9c15
user:        Nick N. Krasilnikov <nnnnnk@netbeans.org>
date:        Fri Apr 11 18:19:44 2008 +0400
summary:     fixed IZ 132404 : Parser failed on code taken from boost


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo